# $Revision: 1.96 $, $Date: 2011/03/30 11:13:29 $
Summary:	prints system call strace of a running process
Summary(de.UTF-8):	druckt ein Protokoll der Systemaufrufe eines laufenden Prozesses
Summary(es.UTF-8):	Enseña las llamadas de sistema de un proceso en ejecución
Summary(fr.UTF-8):	affiche l'appel système strace d'un processus en exécution
Summary(pl.UTF-8):	strace wyświetla funkcje systemowe wywoływane przez uruchomiony proces
Summary(pt_BR.UTF-8):	Mostra as chamadas de sistema de um processo rodando
Summary(ru.UTF-8):	Отслеживает и показывает системные вызовы, связанные с запущенным процессом
Summary(tr.UTF-8):	Çalışan bir sürecin yaptığı sistem çağrılarını listeler
Summary(uk.UTF-8):	Відслідковує та показує системні виклики, пов'язані із запущеним процесом
Name:		strace
Version:	4.6
Release:	1
License:	BSD-like
Group:		Development/Debuggers
Source0:	http://downloads.sourceforge.net/strace/%{name}-%{version}.tar.xz
# Source0-md5:	e537b2b1afeec70c0e6e27a0d0fd671e
Source1:	%{name}.1.pl
Patch0:		%{name}-stat64.patch
URL:		http://sourceforge.net/projects/strace/
# acl and libaio for headers only
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libaio-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Strace prints a record of each system call another program makes,
including all of the arguments passed to it and the system call's
return value.

%description -l de.UTF-8
Strace druckt ein Protokoll aller von einem anderen Programm
ausgegebenen Systemaufrufe, einschließlich aller weitergeleiteten
Argumente und dem Ausgabewert des Systemaufrufs.

%description -l es.UTF-8
Strace imprime una "grabación" de cada llamada de sistema que el
programa hace, incluyendo todos los argumentos pasados para él, si la
vuelta de cada llamada de sistema es verdadera, o si hay creado error.

%description -l fr.UTF-8
strace affiche l'enregistrement de chaque appel système que fait un
programme ainsi que tous les arguments qui lui ont été passés et la
valeur de retour de l'appel.

%description -l pl.UTF-8
Strace wyświetla informacje o każdym wywołaniu funkcji systemowych
przez uruchamiany program, w tym również wszystkie argumenty wywołania
i zwróconą wartość.

%description -l pt_BR.UTF-8
Strace imprime uma "gravação" de cada chamada de sistema que o
programa faz, incluindo todos os argumentos passados para ele e se o
retorno de cada chamada de sistema é verdadeiro ou gerou erro.

%description -l ru.UTF-8
Программа strace перехватывает и регистрирует системные вызовы,
произведенные и полученные исполняющимся процессом. Strace может
вывести список всех системных вызовов, их аргументов и возвращаемые
ими значения. Strace полезна для диагностики проблем и отладки.

%description -l tr.UTF-8
strace bir programın çalıştığı sürece yaptığı bütün sistem
çağrılarını, gönderdiği parametreler ve geri dönüş değerleriyle
birlikte döker.

%description -l uk.UTF-8
Програма strace перехоплює та регіструє системні визови, зроблені та
отримані процесом, який виконується. Strace може вивести список усіх
системних визовів, їх аргументів та значень, які вони повернули.
Strace корисний для діагностики проблем та відладки.

%package graph
Summary:	strace graph
Summary(pl.UTF-8):	Graf strace
Group:		Development/Debuggers
# NOTE: doesn't require directly strace binary.

%description graph
strace-graph script processes strace -f output. It displays a graph of
invoked subprocesses, and is useful for finding out what complex
commands do.

The script can also handle the output with strace -t, -tt, or -ttt. It
will add elapsed time for each process in that case.

%description graph -l pl.UTF-8
Skrypt strace-graph przetwarza wynik strace -f i wyświetla graf
wywoływanych podprocesów. Jest przydatny do sprawdzania co robią
złożone polecenia.

Skrypt jest w stanie obsłużyć także wyjście ze strace -t, -tt i -ttt.
Doda wtedy upływający czas dla każdego procesu.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/strace.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT CREDITS ChangeLog NEWS README-linux TODO
%attr(755,root,root) %{_bindir}/strace
%{_mandir}/man1/strace.1*
%lang(pl) %{_mandir}/pl/man1/strace.1*

%files graph
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/strace-graph

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: strace.spec,v $
Revision 1.96  2011/03/30 11:13:29  arekm
- up to 4.6

Revision 1.95  2011/01/29 00:07:25  sparky
- dropped pre-cvs changelog

Revision 1.94  2010/04/15 07:39:02  lisu
- up to 4.5.20
- adapter

Revision 1.93  2009/10/22 10:41:37  lisu
- version up to 4.5.19
- removed patches: fd.patch, utilc.patch, semop.patch (applied upstream)
- more verbose files

Revision 1.92  2009/10/07 20:24:26  qboosh
- updated semop patch, release 5

Revision 1.91  2009/09/30 16:00:46  qboosh
- added semop patch (show semop()/semtimedop() flags)

Revision 1.90  2009/04/27 07:23:55  paszczus
- added strace-utilc.patch ; rel 4

Revision 1.89  2009/02/22 13:46:20  arekm
- rel 3

Revision 1.88  2009/02/22 13:40:07  arekm
- rel 2; handle new fd CLOEXEC flags

Revision 1.87  2008/11/04 19:44:37  qboosh
- BR: acl-devel, libaio-devel (for struct definitions in headers only)

Revision 1.86  2008/11/01 23:46:55  arekm
- up to 4.5.18

Revision 1.85  2008/08/21 20:19:15  qboosh
- updated to 4.5.17
- removed obsolete newsysc,getdents64,sparc64 patches (applied upstream)

Revision 1.84  2007/08/25 21:33:06  qboosh
- updated to 4.5.16
- removed no longer needed kernel26_userspace patch

Revision 1.83  2007/04/16 18:15:24  qboosh
- updated newsysc,sparc64 patches to build on sparc*
- release 2

Revision 1.82  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.81  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.80  2007/01/28 14:57:50  qboosh
- updated to 4.5.15

Revision 1.79  2006/01/21 22:15:49  qboosh
- updated to 4.5.14
- updated newsysc,getdents64,sparc64 patches, removed obsolete quota patch

Revision 1.78  2005/12/12 00:48:13  adamg
- revert last change and fix it with configure-time detection

Revision 1.77  2005/12/11 23:52:27  adamg
- pass -DHAVE_STRUCT_DQBLK_DQB_CURBLOCKS (makes it build)

Revision 1.76  2005/08/09 12:18:18  areq
- add quota.patch (glibc 2.3.90) from strace CVS

Revision 1.75  2005/08/03 18:42:02  qboosh
- oops, restored License

Revision 1.74  2005/08/03 17:46:25  qboosh
- pl for -graph, release 2

Revision 1.73  2005/07/28 21:23:53  glen
- strace-graph moved to subpackage to cut down perl dependency on main package

Revision 1.72  2005/06/11 17:41:30  qboosh
- updated to 4.5.12, updated kernel26_userspace,stat64 patches

Revision 1.71  2005/05/24 23:25:23  pluto
- sparc64 build fix.

Revision 1.70  2005/03/23 20:15:05  qboosh
- updated to 4.5.11

Revision 1.69  2005/03/15 23:48:29  qboosh
- updated to 4.5.10

Revision 1.68  2005/02/27 17:06:45  qboosh
- grrr. updated to 4.5.9, removed obsolete sparc patch

Revision 1.67  2005/02/27 16:51:03  qboosh
- added sparc patch (missing sys_epoll* prototypes)
- use DESTDIR-style install, fixed installed pl man page filename
- release 2

Revision 1.66  2004/10/23 14:45:10  qboosh
- sf desync workaround

Revision 1.65  2004/10/23 14:38:05  qboosh
- updated to 4.5.8 (bugfixes, support for new Linux syscalls)

Revision 1.64  2004/09/01 18:57:55  qboosh
- updated to 4.5.7

Revision 1.63  2004/07/29 19:46:58  havner
- rel 2 for rebuild

Revision 1.62  2004/07/26 06:35:16  qboosh
- updated to 4.5.6 (big sparc update, sparc64 port)
- updated newsysc,getdents64 patches

Revision 1.61  2004/07/03 22:12:02  qboosh
- updated to 4.5.5

Revision 1.60  2004/06/05 16:43:39  qboosh
- updated to 4.5.4

Revision 1.59  2004/04/25 18:50:13  qboosh
- uh, forgot: release 2

Revision 1.58  2004/04/25 17:15:41  qboosh
- added stat64 patch (fixes build on alpha with Linux 2.6.4+)

Revision 1.57  2004/04/18 19:06:15  qboosh
- updated to 4.5.3 (better support for NPTL threads)
- more docs, including COPYRIGHT required by license

Revision 1.56  2004/03/05 21:35:45  grzegol
- updated to 4.5.2

Revision 1.55  2004/01/02 18:05:41  jajcus
- Release: 2

Revision 1.54  2003/12/21 08:57:10  jajcus
- patch for compiling strace with kernel 2.6 and userspace headers added

Revision 1.53  2003/11/19 21:28:04  qboosh
- sparc-related fixes in newsysc patch

Revision 1.52  2003/11/18 20:56:01  qboosh
- updated to 4.5.1, updated newsysc patch

Revision 1.51  2003/09/30 13:54:53  grzegol
- updated to 4.5

Revision 1.50  2003/06/12 22:49:14  areq
- 4.4.98

Revision 1.49  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.48  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 09:19:34  agaran
Source0-md5:

Revision 1.46  2003/05/25 06:27:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.44  2003/04/04 09:14:52  areq
- 4.4.94
- updated patches

Revision 1.43  2003/01/23 22:53:34  kloczek
- merge translations from KSI and Conectiva.

Revision 1.42  2003/01/23 22:40:48  qboosh
- 4.4.92, updated getdents64 patch

Revision 1.41  2003/01/14 20:17:13  qboosh
- removed threads patch remains (patch seems obsolete)
- removed unnecessary parts of newsysc and getdents64 patches,
  added *[ug]id32 syscalls support on x86 to newsysc patch

Revision 1.40  2003/01/12 21:07:45  orzech
- up to 4.4.91 (4.5 coming soon?)
- builds, not tested

Revision 1.39  2002/11/05 23:10:52  baggins
- release 4
- removed obsolete sparc patches (newsysc patch breaks sparc too...)

Revision 1.38  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/07/04 08:52:58  jajcus
- Release: 3
- patch from rawhide allowing to trace threads
- new %%doc compression

Revision 1.36  2002/05/21 23:14:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:04  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/18 21:18:34  ankry
- added pl man page
- release 2

Revision 1.31  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.30  2001/10/19 14:57:11  qboosh
- updated to 4.4 (needs testing)
- updated newsysc,getdents64 patches; removed obsolete putmsg patch
- added acfix patch for autoconf 2.5x

Revision 1.29  2001/04/04 19:57:47  misiek
4.3; need alpha && sparc testers

Revision 1.28  2000/12/30 23:08:16  kloczek
- some cosmetics.

Revision 1.27  2000/12/28 15:24:25  baggins
- release 10
- added missing patches
- updated ipv6 patch

Revision 1.26  2000/10/27 20:54:07  misiek
commented out missing patches
added v6 enhacement patch

Revision 1.25  2000/09/07 20:17:22  kloczek
- bump to release 9 (for allow upgrade from RH),
- spec adapterized.

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.21  2000/02/19 15:09:47  baggins
- updated to 4.2

Revision 1.20  2000/01/31 19:33:17  baggins
- updated to 4.1

Revision 1.19  1999/08/19 10:54:00  kloczek
- release 2.

Revision 1.18  1999/08/19 10:50:02  kloczek
- more rpm macros.

Revision 1.17  1999/08/16 14:28:36  misiek
added ipv6 patch

Revision 1.16  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
